@webpack_ru
Webpack — русскоговорящее сообщество

Обсуждения webpack, лоадеров, плагинов и сборок Правила: http://bit.ly/our_etiquette См. также: @rollup_ru, @react_js, @vscode_ru, @macos_ru, @js_ru

974 members

Архив канала @webpack_ru 16 сентября 2017 г.

08:42:37 ДП
User 290813710
божечки, целый чат по вебпаку, скоро будут вебпак митапы. хотя впрочем, чего удивляться
08:45:28 ДП
User 5379815
Нам очень важно ваше мнение
10:29:54 ДП
User 50263515
Нашёл в чем ошибка в конфиге. Прописан loader, но нет поля test
10:30:33 ДП
User 50263515
Осталось разобраться как мне styl-файлы обрабатывать
10:36:26 ДП
User 50263515
Всё. Получилось.
02:55:59 ПП
User 419105652
Всем привет. Как это исправить? https://github.com/yuanqing/menu-aim/issues/1
github.com/yuanqing/menu-aim/issues/1
Hi. Thanks for package. But I have an error, when I build bundle with webpack ERROR in pages/menuaim.2a58f05d2d2352aae6c1.js from UglifyJs Unexpected token: punc ()) [./node_modules/menu-aim/src/in...
02:56:20 ПП
User 419105652
Некоторые пакеты дают подобную ошибку из-за es6
02:57:38 ПП
User 419105652
User 290813710
божечки, целый чат по вебпаку, скоро будут вебпак митапы. хотя впрочем, чего удивляться
Хорошо что ты добавился. Сразу видно мегапрофика который познал вебпак
03:03:34 ПП
User 290813710
User 419105652
Всем привет. Как это исправить? https://github.com/yuanqing/menu-aim/issues/1
github.com/yuanqing/menu-aim/issues/1
Hi. Thanks for package. But I have an error, when I build bundle with webpack ERROR in pages/menuaim.2a58f05d2d2352aae6c1.js from UglifyJs Unexpected token: punc ()) [./node_modules/menu-aim/src/in...
у меня собралось норм
https://asciinema.org/a/7NsJfl1zwKLh9P7UAMcvbcM4g
 ▲ projects/trash/menu-aim npm -v                                                                                                                                                                                     14s master :: 588d :: ⬡
5.4.2

 ▲ projects/trash/menu-aim node -v                                                                                                                                                                                        master :: 588d :: ⬡
v6.11.2
asciinema.org/a/7NsJfl1zwKLh9P7UAMcvbcM4g
Recorded by vyorkin
03:05:15 ПП
User 290813710
только там нет вебпака что ли?)
03:05:18 ПП
User 419105652
Что это и зачем это мне
03:05:32 ПП
User 290813710
а где вебпак-то?
03:05:50 ПП
User 419105652
Я использую этот модуль у себя в проекте. У меня вебпак.
03:06:03 ПП
User 290813710
я бы собрал minimal reproducible repo и показал
03:06:06 ПП
User 419105652
При чем тут там нет вебпак?
03:06:36 ПП
User 290813710
ну, ты хочешь зарепортить баг, чтобы его починили? хочешь решить проблему с вебпаком? тебе нужно как-то показать что именно у тебя не работает. я советую для этого подтоговить минимальный какой-то репо, где можно воспроизвести эту ошибку
03:08:17 ПП
User 419105652
Это известная проблема с кучей пакетов
03:08:32 ПП
User 290813710
а есть issue? если нет, то нужно создать, как минимум это нужно отразить в документации к вебпаку
03:08:33 ПП
User 419105652
Я только за неделю 3 случая встречал
03:09:09 ПП
User 419105652
Какой ишью? Ну настраивают как-то этот аглифай. Я и спрашиваю как
03:10:04 ПП
User 290813710
ишью с описанием проблемы, наверное, или я что-то не то говорю? или проблемы нет?
03:14:29 ПП
User 419105652
Какой ишью? Я дал ссылку в чем у меня проблемы а
03:17:08 ПП
User 290813710
ну ишью на гитхабе в соответствующих репках:
https://github.com/webpack-contrib/uglifyjs-webpack-plugin/issues/new
https://github.com/webpack/webpack/blob/master/CONTRIBUTING.md#issues
https://github.com/mishoo/UglifyJS2/issues/new
если что-то не работает, то нужно зарепортить им ишью, наверное. обычно так делается, или я что-то не так понял просто
github.com/login
GitHub is where people build software. More than 24 million people use GitHub to discover, fork, and contribute to over 67 million projects.
03:19:23 ПП
User 419105652
Возможно есть решение. Я не шарю в этом вебпак безумии, чтоб сразу бежать ишью создавать
03:20:43 ПП
User 419105652
Пакетто работает нормально. Пока не начинаешь билдить проект.
03:22:06 ПП
User 290813710
можно сначала попробовать устранить все побочные вещи, которые могут привносить неясность, чтобы сузить поиск и создать репо, где будет только: вебпак сборка минимальная (с минимальным количеством плагинов) и этот пакет
и посмотреть, будет ли это приводить к той же ошибке. если будет, то создать ишью и указать в нем ссылку на этот репозиторий
честно говоря, когда я склонировал и запустил билд, то я ожидал увидеть именно это
03:27:04 ПП
User 419105652
Не проблема. Если поможет
03:27:07 ПП
User 419105652
https://github.com/iamdubx/menu-aim-issue
github.com/iamdubx/menu-aim-issue
Contribute to menu-aim-issue development by creating an account on GitHub.
03:29:58 ПП
User 419105652
Плагин работает отлично, пока не попробуешь его сбилдить
03:35:57 ПП
User 419105652
Ну что, билдится?
03:36:22 ПП
User 419105652
@vasyayorkin
03:37:06 ПП
User 290813710
я думаю тебе нужно подключить для vue-loader в options.loaders еще и babel-loader для этого пакета
наверное, я не шарю в vue
03:39:44 ПП
User 290813710
хотя, мб и нет, потому что без Uglify плагина что-то собирается
03:39:47 ПП
User 419105652
Это не проблема вью лоадер. Сделай в своём окружении будет тоже самое
03:41:17 ПП
User 419105652
По имени этой ошибки Гугл много ишью выдает. И везде разные советы. Я хз м какой стороны подступатся
03:43:24 ПП
User 290813710
почему бы просто не сбилдить этот menu-aim?
03:44:33 ПП
User 290813710
https://asciinema.org/a/WsW5gvGLgXUuda4st4PCW3X8u и все
в любом случае надо его билдить его, это не правильно имхо
asciinema.org/a/WsW5gvGLgXUuda4st4PCW3X8u
Recorded by vyorkin
03:47:56 ПП
User 290813710
ему надо .npmignore сделать, а то lib в пакет не попадает и заслать PR, в котором это объяснить
03:50:19 ПП
User 419105652
У меня не билдится.
03:50:52 ПП
User 290813710
- import menuAim from 'menu-aim/src'
+ import menuAim from 'menu-aim'
т.к.  "main": "lib/index.js",
03:50:55 ПП
User 419105652
Другая ошибка с require-dir
03:52:03 ПП
User 419105652
User 290813710
- import menuAim from 'menu-aim/src'
+ import menuAim from 'menu-aim'
т.к.  "main": "lib/index.js",
Это не работает. Сам пробовал?
03:52:18 ПП
User 419105652
Модуль нот фаунд
03:53:11 ПП
User 419105652
Я это видел. Поэту и указал путь с src там уже билд лежит
03:53:56 ПП
User 290813710
там не совсем "билд" лежит
03:54:20 ПП
User 290813710
https://github.com/vyorkin-forks/menu-aim-issue#preprequisites
https://github.com/vyorkin-forks/menu-aim-issue/commit/767bc9db1b0903d032f2e5cdca58e752c3fa3913?diff=unified#diff-ea994a51b0d9884f4fc046eca11a5c99L28
сначала:
$ cd node_modules/menu-aim
$ npm i
github.com/vyorkin-forks/menu-aim-issue
Contribute to menu-aim-issue development by creating an account on GitHub.
03:58:51 ПП
User 419105652
Я же говорю у меня не выполняется npm I в этом пакете
03:59:05 ПП
User 419105652
Ошибка другая блять
03:59:17 ПП
User 419105652
User 419105652
Другая ошибка с require-dir
Вот
03:59:43 ПП
User 290813710
не ругайся, тут админы есть?
04:00:20 ПП
User 419105652
О хоспаде
04:01:03 ПП
User 290813710
покажи ошибку, стектрейс, env, версии node, npm
04:01:08 ПП
User 419105652
Нахер было форкать чтобы одну строку изменить???
04:01:33 ПП
User 419105652
node_modules/menu-aim/node_modules/require-dir/index.js:97
            if (!require.extensions.hasOwnProperty(ext)) {
                                    ^

TypeError: require.extensions.hasOwnProperty is not a function
    at requireDir
04:01:35 ПП
User 290813710
потому что я пытаюсь тебе помочь?)
04:02:11 ПП
User 419105652
Это мишыная возня. Ты мне это в чат написал. Я тебе написал ответ.п а ты продолжаешь одно и тоже
04:03:30 ПП
User 290813710
понятно, жаль, что не смог тебе помочь
04:03:40 ПП
User 147771380
User 419105652
Это мишыная возня. Ты мне это в чат написал. Я тебе написал ответ.п а ты продолжаешь одно и тоже
Лол, тебе человек помочь пытается, а ты на него гонишь. Нехорошо делаешь, товарищ
04:08:03 ПП
User 419105652
User 290813710
понятно, жаль, что не смог тебе помочь
А ты говоришь чатики по вебпак не нужны. Ну и вот куда мне с этой ХУЙНЕЙ обращаться, кроме как в психушку? Только в чатик по вебпаку гребанному
04:10:18 ПП
User 290813710
нет-нет, я совсем не это имел ввиду.
эти все чатики это как бы "мета-", которое идет приложением к инструменту, это очень плохо имхо. они очень нужны, но сердце мое тоской полнится
04:12:42 ПП
User 63958239
Зачем кстати этот чат нужен? Нет официального гиттера какого у вебпака? Если он есть, то КПД там заметно выше должен быть

Хорошо на элме, под каждый пакет по каналу в слаке)
04:17:07 ПП
User 419105652
Кажется нету у них гиттер а. Был старый, он в архиве если не путаю
04:17:20 ПП
User 419105652
Все вопросы в СО
04:19:23 ПП
User 419105652
@vasyayorkin короче решил я проблему тупо переносом всего кода в компонент. Все равно это будет отдельный компонент дропдаун меню
04:20:42 ПП
User 419105652
Самое поразительное! Этот недоплагин копирка с джеквери плагина. И у оригинала почти 8000 звёзд. И до сих пор ниодного аналога на ваниле. Я такого ещё не видел
05:37:11 ПП
User 184770999
ребят, кто-то использует какой-то плагин для создания шрифтов с svg картинок, как fontawesome например?
07:40:50 ПП
07:41:13 ПП
User 272129522
Как получить на выходе простой текст? Какой лоадер юзать?
07:41:33 ПП
User 147771380
User 272129522
Как получить на выходе простой текст? Какой лоадер юзать?
raw-loader
07:41:58 ПП
User 147771380
Или ты хочешь в файлик писать?
07:42:00 ПП
User 272129522
Ок, спасибо. Как раз на него смотрел и на to-string
07:42:08 ПП
User 272129522
Ну да, в файлик
07:42:22 ПП
User 272129522
Ну строка если будет, она сама запишется
07:42:24 ПП
User 147771380
ExtractTextWebpackPlugin
07:42:34 ПП
User 272129522
У меня на output уже стоит
07:42:41 ПП
User 272129522
Ок, спасибо
07:46:54 ПП
User 272129522
User 147771380
ExtractTextWebpackPlugin
а raw в этом случае надо использовать?
07:47:12 ПП
User 147771380
User 272129522
а raw в этом случае надо использовать?
Нет
08:13:24 ПП
User 272129522
Почему-то получаю такую ошибку:
Module build failed: Error: "extract-text-webpack-plugin" loader is used without the corresponding plugin, refer to https://github.com/webpack/extract-text-webpack-plugin for the usage example at Object.pitch

extract-text-webpack-plugin установлен.
08:13:56 ПП
08:14:25 ПП
User 272129522
Может через yarn установить? Я через npm сейчас всё ставил.
08:16:20 ПП
User 147771380
User 272129522
Может через yarn установить? Я через npm сейчас всё ставил.
Нет никакой разницы
08:17:32 ПП
User 272129522
А в чём может быть проблема?
08:18:03 ПП
User 272129522
Я просто не знаю что еще сделать, чтобы пофиксить её) Вроде пакет стоит
08:39:39 ПП
User 147771380
User 272129522
Я просто не знаю что еще сделать, чтобы пофиксить её) Вроде пакет стоит
Ну гугли. Там же даже ссылку дают в тексте ошибки